Bug 73685 - crash in apache php module
crash in apache php module
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Phil Copeland
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-08 16:25 EDT by Markus Bertheau
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-09 12:00:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus Bertheau 2002-09-08 16:25:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020908

Description of problem:
I attached to a httpd child process with gdb and waited for it to crash. That's
on a site with php and postgresql. I'm using the potsgresql 7.1.3 rpms and php
built form the spec file with --with-mcrypt added and CFLAGS changed to include -g.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1024 (LWP 6943)]
0x403e5425 in _efree (ptr=0x83d7154) at ../../Zend/zend_alloc.c:226
226		REMOVE_POINTER_FROM_LIST(p);
(gdb) bt
#0  0x403e5425 in _efree (ptr=0x83d7154) at ../../Zend/zend_alloc.c:226
#1  0x408efda9 in _free_result (rsrc=0x81e29f4) at
/usr/src/redhat/BUILD/php-4.0.6/ext/pgsql/pgsql.c:202
#2  0x4040f5c1 in list_entry_destructor (ptr=0x81e29f4) at
../../Zend/zend_list.c:179
#3  0x4040e203 in zend_hash_del_key_or_index (ht=0x404fbd68, arKey=0x0,
nKeyLength=0, h=29, flag=1) at ../../Zend/zend_hash.c:531
#4  0x4040f363 in zend_list_delete (id=29) at ../../Zend/zend_list.c:57
#5  0x404092bb in _zval_dtor (zvalue=0x8252244) at ../../Zend/zend_variables.c:80
#6  0x40401880 in _zval_ptr_dtor (zval_ptr=0x83ac9f0) at
../../Zend/zend_execute_API.c:261
#7  0x4040e2d8 in zend_hash_destroy (ht=0x83ac7a4) at ../../Zend/zend_hash.c:560
#8  0x4040928c in _zval_dtor (zvalue=0x8288784) at ../../Zend/zend_variables.c:75
#9  0x40401880 in _zval_ptr_dtor (zval_ptr=0x83ac5a0) at
../../Zend/zend_execute_API.c:261
#10 0x4040e2d8 in zend_hash_destroy (ht=0x404fbc4c) at ../../Zend/zend_hash.c:560
#11 0x4040165f in shutdown_executor () at ../../Zend/zend_execute_API.c:165
#12 0x4040a08f in zend_deactivate () at ../../Zend/zend.c:540
#13 0x4041bd4d in php_request_shutdown (dummy=0x0) at
/usr/src/redhat/BUILD/php-4.0.6/main/main.c:660
#14 0x40419831 in php_apache_request_shutdown (dummy=0x0) at
/usr/src/redhat/BUILD/php-4.0.6/sapi/apache/mod_php4.c:292
#15 0x08051e79 in run_cleanups ()
#16 0x0805094b in ap_clear_pool ()
#17 0x080509b1 in ap_destroy_pool ()
#18 0x0805091c in ap_clear_pool ()
#19 0x0805f1bd in child_main ()
#20 0x0805f969 in make_child ()
#21 0x0805fcbb in perform_idle_server_maintenance ()
#22 0x0806025c in standalone_main ()
#23 0x08060953 in main ()
#24 0x4016e657 in __libc_start_main (main=0x80604d0 <main>, argc=39,
ubp_av=0xbffff234, init=0x804f3d8 <_init>, fini=0x8075080 <_fini>, 
    rtld_fini=0x4000dcd4 <_dl_fini>, stack_end=0xbffff22c) at
../sysdeps/generic/libc-start.c:129
(gdb) 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Just here on that server :/

Additional info:
Comment 1 Markus Bertheau 2002-09-09 01:05:01 EDT
I should add that this is the 4.0.6 version of php.
Comment 2 Phil Copeland 2002-09-09 12:00:43 EDT
*blink*
4.0.6?

Umm,... you may want to get the update (4.1.2-7.2.4)

ftp://ftp.redhat.com/pub/redhat/linux/updates/7.2/en/os/i386/

Phil
=-=

Note You need to log in before you can comment on or make changes to this bug.